package com.djhk.uav.policeWarLawLibrary.service;

import com.djhk.uav.policeWarLawLibrary.domain.PoliceWarLawLibrary;
import com.djhk.uav.policeWarLawLibrary.domain.PoliceWarLawLibraryAddVO;
import com.djhk.uav.policeWarLawLibrary.domain.warNameVo;

import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;

/**
 * 战法库Service接口
 * 
 * @author ruoyi
 * @date 2024-11-21
 */
public interface IPoliceWarLawLibraryService 
{
    /**
     * 查询战法库
     * 
     * @param id 战法库主键
     * @return 战法库
     */
    public PoliceWarLawLibrary selectPoliceWarLawLibraryById(Long id);

    /**
     * 查询战法库列表
     * 
     * @param policeWarLawLibrary 战法库
     * @return 战法库集合
     */
    public HashMap<String, Object> selectPoliceWarLawLibraryList(PoliceWarLawLibrary policeWarLawLibrary);

    /**
     * 新增战法库
     * 
     * @return 结果
     */
    public int insertPoliceWarLawLibrary(PoliceWarLawLibraryAddVO policeWarLawLibraryAddVO);

    /**
     * 修改战法库
     * 
     * @param policeWarLawLibrary 战法库
     * @return 结果
     */
    public int updatePoliceWarLawLibrary(PoliceWarLawLibrary policeWarLawLibrary);

    /**
     * 批量删除战法库
     * 
     * @param ids 需要删除的战法库主键集合
     * @return 结果
     */
    public int deletePoliceWarLawLibraryByIds(Long[] ids);

    /**
     * 删除战法库信息
     * 
     * @param id 战法库主键
     * @return 结果
     */
    public int deletePoliceWarLawLibraryById(Long id);

    List<warNameVo> warNameList(PoliceWarLawLibrary policeWarLawLibrary);

    int removeByWarName(String warName);

    void exprotByTenplete(HttpServletResponse response, PoliceWarLawLibrary policeWarLawLibrary) throws Exception;
}
